Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class Logon

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--com.bea.wlpi.client.common.Logon

public class Logon
extends javax.swing.JDialog
implements java.awt.event.ActionListener, LogonModule, java.awt.event.WindowListener, java.awt.event.FocusListener

A dialog to capture WebLogic Integration user ID, password and server URL.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`Logon()` Create a logon dialog.
`Logon(java.awt.Frame owner, java.lang.String url, java.lang.String userId, java.lang.String password)` Create a logon dialog with fields primed to the supplied values.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Internal use only.
`void` | `focusGained(java.awt.event.FocusEvent e)` FocusListener implementation.
`void` | `focusLost(java.awt.event.FocusEvent e)` FocusListener implementation.
`java.lang.String` | `getPassword()` Return the password.
`java.lang.String` | `getUrl()` Return the WebLogic Process Integrator server URL.
`java.lang.String` | `getUserId()` Return the user ID.
`boolean` | `okay()` Check whether user pressed the OK button.
`void` | `windowActivated(java.awt.event.WindowEvent e)` WindowListener implementation.
`void` | `windowClosed(java.awt.event.WindowEvent e)` WindowListener implementation.
`void` | `windowClosing(java.awt.event.WindowEvent e)` WindowListener implementation.
`void` | `windowDeactivated(java.awt.event.WindowEvent e)` WindowListener implementation.
`void` | `windowDeiconified(java.awt.event.WindowEvent e)` WindowListener implementation.
`void` | `windowIconified(java.awt.event.WindowEvent e)` WindowListener implementation.
`void` | `windowOpened(java.awt.event.WindowEvent e)` WindowListener implementation.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Logon

    public Logon()

  Create a logon dialog.

### Logon

    public Logon(java.awt.Frame owner,
                 java.lang.String url,
                 java.lang.String userId,
                 java.lang.String password)

  Create a logon dialog with fields primed to the supplied values.

  Parameters:
    `owner` - The window that is to be this dialog's owner.
    `url` - Server URL in `protocol://host:port` format.
    `userId` - User ID.
    `password` - Password.

Method Detail

### okay

    public boolean okay()

  Check whether user pressed the OK button.
  Specified by:
    okay in interface LogonModule

  Returns:
    `true` - if the URL and user ID are non-blank and the user closed the dialog by pressing the OK button.

### getUrl

    public java.lang.String getUrl()

  Return the WebLogic Process Integrator server URL.
  Specified by:
    getUrl in interface LogonModule

  Returns:
    The WebLogic Process Integrator server URL.

### getUserId

    public java.lang.String getUserId()

  Return the user ID.
  Specified by:
    getUserId in interface LogonModule

  Returns:
    The user ID.

### getPassword

    public java.lang.String getPassword()

  Return the password.
  Specified by:
    getPassword in interface LogonModule

  Returns:
    The password.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Internal use only.
  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

  WindowListener implementation.
  Specified by:
    windowActivated in interface java.awt.event.WindowListener

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent e)

  WindowListener implementation.
  Specified by:
    windowClosed in interface java.awt.event.WindowListener

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

  WindowListener implementation.
  Specified by:
    windowClosing in interface java.awt.event.WindowListener

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent e)

  WindowListener implementation.
  Specified by:
    windowDeactivated in interface java.awt.event.WindowListener

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent e)

  WindowListener implementation.
  Specified by:
    windowDeiconified in interface java.awt.event.WindowListener

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent e)

  WindowListener implementation.
  Specified by:
    windowIconified in interface java.awt.event.WindowListener

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent e)

  WindowListener implementation. Sets focus to userid field if blank or to password field if user name is specified
  Specified by:
    windowOpened in interface java.awt.event.WindowListener

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  FocusListener implementation. Selects current field entry.
  Specified by:
    focusGained in interface java.awt.event.FocusListener

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  FocusListener implementation.
  Specified by:
    focusLost in interface java.awt.event.FocusListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)